Member Badges
GET/client/users/:correlation_id/badges
Returns all badges associated with the member.
Query Parameters
Parameters can be set to restrict the search for badges using the following parameters:
| Parameter | Description | Format | Note |
|---|---|---|---|
| page | Select a specific page if more than one page of results is returned. | Number | |
| pageSize | Select the maximum number of badges that can be shown on a page. | Number | |
| locale | Locale of the offer(s) returned in the response | String, values currently supported are: "en-CA", "en-US" and "fr-CA". | Priority order: (1) this query parameter; (2) locale set on the account; (3) environment locale. If locale is not provided or is not a valid value, system default ("en-CA") is used. |
Body
The request has no Body.
Response
| Attribute | Definition | Format | Notes |
|---|---|---|---|
| count | Number of badges returned for this member. | Number | |
| pageSize | Page size of the results | Number | |
| firstPage | First page of the results | Number | |
| currentPage | Current page of the results | Number | |
| lastPage | Last page of the results | Number | |
| badges | Contains objects with information for individual badges. | Array | |
| badgeID | Unique identifier for the badge. | String | |
| badgeName | The human-readable name of the badge. | String | |
| earnedDate | The date the badge was earned in ISO 8601 format. | String | |
| earnedDateEpoch | The date the badge was earned in epoch format. | String | Epoch date/time is in milliseconds |
| expiryDate | The date the badge expires in ISO 8601 format. | String | |
| expiryDateEpoch | The date the badge expires in Epoch format. | String | Epoch date/time is in milliseconds |
| badgeDetails | Contains details about the content used for the badge. | Object | |
| en-CA or en-FR | The locale used. | Object | Contains details of the content used for the specified locale |
| longDescription | Long description of the badge. | String | |
| smallHDImageURI | Points to a small high-definition image used for the badge. | String | |
| largeHDImageURI | Points to a large high-definition image used for the badge. | String | |
| largeImageURI | Points to a large regular image used for the badge. | String | |
| smallImageURI | Points to a small regular image used for the badge. | String | |
| badgeHeadline | Headline used to describe the badge. | String | |
| effectiveDate | The date on which the badge became effective in ISO 8601 format. | String |
Error Responses
| statusCode | errorMessage | errorCode | Definition |
|---|---|---|---|
| 400 - Bad Request | Badge feature switch is not enabled. | INVALID_REQUEST | The badge feature has not been enabled for this client, hence badge information cannot be retrieved. |
Request
Responses
- 200
- 400
200 - Member Badges Returned
Response Headers
Date
Example:
Wed, 20 May 2020 23:50:01 GMTContent-Length
Example:
290Connection
Example:
keep-alivex-amzn-RequestId
Example:
b1901c1a-1aae-4611-8967-b44020aa7c8aReferrer-Policy
Example:
no-referrerX-XSS-Protection
Example:
1;mode=blockAccess-Control-Allow-Origin
Example:
*Expect-CT
Example:
max-age=86400Strict-Transport-Security
Example:
max-age=31536000Feature-Policy
Example:
vibrate 'none'; geolocation 'none'X-Frame-Options
Example:
sameoriginContent-Security-Policy
Example:
connect-src 'none';object-src https://*.cloudfront.net;script-src https://*.cloudfront.netx-amz-apigw-id
Example:
M2tGcFX8IAMFszw=cache-control
Example:
no-cache, no-store, must-revalidateX-Content-Type-Options
Example:
nosniffX-Amzn-Trace-Id
Example:
Root=1-5ec5c229-85b3c6e1065e843b5cf98b62;Sampled=0400 - Badge Feature Disabled